> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get grouped feature-flags



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/FeatureFlag/GetGroupedFeatureFlags
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/FeatureFlag/GetGroupedFeatureFlags:
    get:
      tags:
        - FeatureFlag
      summary: Get grouped feature-flags
      operationId: GetGroupedFeatureFlags
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties:
                  items:
                    $ref: '#/components/schemas/FeatureFlagDto'
                  type: array
                type: object
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    FeatureFlagDto:
      example:
        is_active: true
        name: name
        description: description
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        group: equity
      properties:
        id:
          format: uuid
          type: string
        name:
          nullable: true
          type: string
        description:
          nullable: true
          type: string
        group:
          enum:
            - equity
            - fx
            - fixed_income
          type: string
        is_active:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Core.Model.FeatureFlagDto, Derivitec.Core.Model
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````